Bug 73524

Summary: upstream BlackBerry porting of KURL/Logging
Product: WebKit Reporter: Mary Wu <mawu>
Component: PlatformAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: dbates, webkit.review.bot, zimmermann
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 73144    
Attachments:
Description Flags
Patch
none
Patch
none
Patch none

Description Mary Wu 2011-11-30 22:45:21 PST
Add two files KURLBlackBerry.cpp and LoggingBlackBerry.cpp to WebCore/platform/blackberry
Comment 1 Mary Wu 2011-11-30 22:54:04 PST
Created attachment 117346 [details]
Patch
Comment 2 Daniel Bates 2011-11-30 23:29:17 PST
Comment on attachment 117346 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=117346&action=review

> Source/WebCore/platform/blackberry/KURLBlackBerry.cpp:33
> +    return String(path());

KURL::path() returns a string. Therefore, it's sufficient to do:

return path();

> Source/WebCore/platform/blackberry/LoggingBlackBerry.cpp:32
> +void InitializeLoggingChannelsIfNecessary()

The name of this function doesn't conform to the WebKit Code Style Guidelines. Function names should be in camel case starting with a lowercase letter.
Comment 3 Mary Wu 2011-11-30 23:49:46 PST
(In reply to comment #2)
> (From update of attachment 117346 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=117346&action=review
> 
> > Source/WebCore/platform/blackberry/KURLBlackBerry.cpp:33
> > +    return String(path());
> 
> KURL::path() returns a string. Therefore, it's sufficient to do:
> 
> return path();

OK

 
> > Source/WebCore/platform/blackberry/LoggingBlackBerry.cpp:32
> > +void InitializeLoggingChannelsIfNecessary()
> 
> The name of this function doesn't conform to the WebKit Code Style Guidelines. Function names should be in camel case starting with a lowercase letter.

The function name was defined in header file platform/Logging.h, qt/mac/efl/win/wx/gtk all follows. If we fix this style issue, should we do that in a separate PR with all portings changed?
Comment 4 Mary Wu 2011-12-01 00:12:09 PST
Created attachment 117359 [details]
Patch
Comment 5 Mary Wu 2011-12-01 01:33:57 PST
Created attachment 117379 [details]
Patch
Comment 6 WebKit Review Bot 2011-12-06 22:26:51 PST
Comment on attachment 117379 [details]
Patch

Clearing flags on attachment: 117379

Committed r102223: <http://trac.webkit.org/changeset/102223>
Comment 7 WebKit Review Bot 2011-12-06 22:26:55 PST
All reviewed patches have been landed.  Closing bug.